<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V2.0//EN"
  "http://www.logreport.org/LRSML/2.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="dns" id="requesttype-by-method">

 <lire:title>Distribution of Request Types by Method DNS Report</lire:title>

 <lire:description>
  <para>This report shows the distribution of the type of requests
   splitted by method.
  </para>
 </lire:description>

 <lire:display-spec>
  <lire:title>Distribution of Request Types by Method</lire:title>
 </lire:display-spec>

 <lire:report-calc-spec>
  <lire:group sort="-request_total">
   <lire:field name="type"/>

   <lire:group sort="-resolver">
    <lire:field name="resolver"/>

    <lire:count name="request_total" label="Requests"/>
    <lire:count name="request_ratio" ratio="table" label="% Total"/>
    <lire:count name="request_group_ratio" ratio="group" label="% Group"/>
   </lire:group>
  </lire:group>

 </lire:report-calc-spec>

</lire:report-spec>
